Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
sendwishlist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $wwwDir = $ini->WWWDir
| $indexFile = $ini->Index
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $wishlist = new eZWishList()
| $session = new eZSession()
if(! $session->fetch()) | $user =& eZUser::currentUser()
if(! $wishlist) if(isset( $Action) && $Action=="SendWishlist") | $t
if(count( $wishlist->items())==0) else if( $wishlist->isPublic()==false) | else
| $locale = new eZLocale( $Language )

## Variable Documentation

## ◆ $indexFile

$indexFile = $ini->Index

Definition at line 36 of file sendwishlist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 34 of file sendwishlist.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 38 of file sendwishlist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 203 of file sendwishlist.php.

## ◆ $session

$session = new eZSession()

Definition at line 46 of file sendwishlist.php.

## ◆ $t

if (! $wishlist) if (isset($Action) &&$Action=="SendWishlist") $t

Initial value:
= new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
"kernel/eztrade/user/intl/", $Language, "sendwishlist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: sendwishlist.php:38
$ini
$ini
Definition: sendwishlist.php:34

Definition at line 155 of file sendwishlist.php.

## ◆ $user

if (! $session->fetch()) $user =& eZUser::currentUser()

Definition at line 54 of file sendwishlist.php.

## ◆ $wishlist

if (! $user) $wishlist = new eZWishList()

Definition at line 45 of file sendwishlist.php.

## ◆ $wwwDir

$wwwDir = $ini->WWWDir

Definition at line 35 of file sendwishlist.php.

## ◆ else

if ($url_array[3]=="success") else

Initial value:
{
$t->set_var( "wishlist_private", "" )
$t
if(! $wishlist) if(isset( $Action) && $Action=="SendWishlist") $t
Definition: sendwishlist.php:155

Definition at line 186 of file sendwishlist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.